Subject: Re: [PATCH V8 mlx5-next 09/15] vfio: Define device migration protocol v2

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 22 Feb 2022 22:47:35 -0400

On Tue, Feb 22, 2022 at 06:09:34PM -0700, Alex Williamson wrote:

> So if/when we were to support this, we might use a different SET_STATE
> feature ioctl that allows the user to specify a deadline and we'd use
> feature probing or a flag on the migration feature for userspace to
> discover this?  I'd be ok with that, I just want to make sure we have
> agreeable options to support it.  Thanks,

I think we'd just make the set_state struct longer and add a cap flag
for deadline?

Jason